# Source from GitHub
#
# git clone https://github.com/luceneplusplus/LucenePlusPlus.git
# cd LucenePlusPlus
# git archive --format=tar --prefix=LucenePlusPlus-20140729/ master | xz > ../LucenePlusPlus-20140729.tar.xz
#

%define oname	LucenePlusPlus

%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define gitdate 20140729
%define rel     3

Name:		lucene++
Summary:	C++ port of the popular Java Lucene library
Version:	3.0.6
Release:	%mkrel 1.git%{gitdate}.%{rel}
License:	LGPLv3+ and ASL2.0
Group:		Development/C++
Url:		https://github.com/luceneplusplus/LucenePlusPlus
#Source0:	https://github.com/luceneplusplus/LucenePlusPlus/releases/tag/rel_%{version}.tar.gz
Source0:	%{oname}-%{gitdate}.tar.xz
BuildRequires:	cmake
BuildRequires:	boost-devel

%description
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

%package -n %{libname}
Summary:	C++ port of the popular Java Lucene library
Group:		System/Libraries

%description -n %{libname}
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development ifles and headers for %{name}.

%prep
%setup -qn %{oname}-%{gitdate}

%build
%cmake
%make

%install
%makeinstall_std -C build

%files -n %{libname}
%doc *.license README* AUTHORS
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{version}

%files -n %{devname}
%doc *.license README* AUTHORS REQUESTS
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_libdir}/lib%{name}*.so


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.0.6-1.git20140729.3.mga5
+ Revision: 749063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.6-1.git20140729.2.mga5
+ Revision: 682041
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 wally <wally> 3.0.6-1.git20140729.1.mga5
+ Revision: 657937
- import latest git snapshot of lucene++

